/*
Copyright (C)  2006  Daniele Zelante

This file is part of cmgl.

cmgl is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

cmgl is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with cmgl; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
/*@LICENSE*/
// $Id: cmgl_test.cxx,v 1.2 2006/01/02 22:29:15 zeldan Exp $

#include <stdio.h>
#include <sys/stat.h>
#include <sys/types.h>

#include "../../src/cmgl.hxx"
#include <comf/comf.hxx>
#include <comf/mymacros.hxx>

using namespace cmgl;
using namespace comf;

#include "test_conic2d.hxx"
#include "test_dxf.hxx"
#include "test_linear2d.hxx"
#include "test_linear3d.hxx"
#include "test_misc.hxx"




int main(int, char ** )
{
	LibInfo::printList();

	TestSuite ts;
	ts.add(test_conic2d());
	ts.add(test_dxf());
	ts.add(test_linear2d());
	ts.add(test_linear3d());
	ts.add(test_misc());

	return ts.run();

}
